EasyPHP

EasyPHP Paket WAMP war der erste zu entstehen. Dies ist eine Web-Entwicklungsplattform, die vor Ort zu PHP-Skripte zu betreiben. EasyPHP ist nicht an sich eine Software, sondern eine Umgebung mit zwei Servern, ein Shell-Skript und ein phpMyAdmin SQL Verwaltung. Es verfügt über eine Verwaltungsschnittstelle für die Verwaltung von Alias ​​und Start / Stop-Servern. Es lässt zu, sobald alle notwendigen lokalen Entwicklung HPP installieren. Standardmäßig erstellt der Apache-Server eine virtuelle Domain-Namen oder localhost. Somit wird, wenn die Auswahl von "lokalen Web" in der EasyPHP Menü öffnet sich der Browser auf die URL und zeigt die index.php-Seite der Website, die auf den Inhalt der EasyPHP Ordner entspricht.

EasyPHP kann als portable Anwendung, die auf einem USB-Stick laufen sagen verwendet werden.

Hauptfunktionen

  • Automatische Erkennung des Installationsverzeichnisses auf Basis von Benutzerrechten
  • Automatische Erkennung der verfügbaren Anschlüsse
  • Komponenten-Management: mehrere Versionen von PHP installiert werden kann
  • Die Fähigkeit, von einer Version auf eine andere PHP mit einem Klick wechseln
  • PHP Configuration Manager
  • MySQL Configuration Manager
  • Apache Configuration Manager
  • Alias ​​Manager
  • Virtual Hosts-Manager

Herunterladen

Die neueste Version von EasyPHP kann von der Website heruntergeladen werden devserver

  • EasyPHP WebServer
  • Components
  • Module
  • Ältere Versionen, Komponenten und Module sind auf den letzten verfügbaren

    • EasyPHP devserver 14,1 VC11 mit PHP 5.5.x, 2.4.7 VC11 Apache, MySQL 5.6.15, phpMyAdmin 4.1.4
    • EasyPHP devserver 14,1 VC9 mit PHP 5.4.x, 2.4.7 VC9 Apache, MySQL 5.6.15, phpMyAdmin 4.1.4
    • EasyPHP WebServer 14.1 beta 2

    Components

    Für EasyPHP devserver 14,1 VC11

    • PHP 5.6.0 / 5.6.0 RC4 / 5.6.0 RC3 / 5.6.0 RC2 / 5.6.0 RC1 / 5.6.0 b3 / b2 5.6.0 / 5.6.0 b1 / a3 5.6.0 / 5.6.0 a2 / 5.6.0 a1
    • PHP 5.5.15 / 5.5.14 / 5.5.12 / 5.5.11 / 5.5.9
    • PHP 5.4.31 / 5.4.30 / 5.4.28 / 5.4.27 / 5.4.25 / 5.4.24
    • PHP 5.3.29 / 5.3.28

    Für EasyPHP devserver 14,1 VC9

    • PHP 5.4.31 / 5.4.30 / 5.4.28 / 5.4.27 / 5.4.25 / 5.4.24
    • PHP 5.3.29 / 5.3.28

    Module

    Es ist auch möglich, um EasyPHP vorkonfigurierten Modulen in den verschiedenen Web-Anwendungen wie Wordpress, Spip, Drupal, Joomla!, Prestashop testen ...

    Entwicklungswerkzeuge

    • Virtuelle Hosts Manager 1.4
    • Xdebug Manager 1.4
    • WebGrind 1.0
    • PhpMyAdmin 4.2.0 / 4.1.12 / 4.1.11 / 4.1.8 / 4.1.7 / 4.1.6 / 4.1.5
    • Funktionsreferenz für das Kommen EasyPHP
    • Coding Standards für kommende EasyPHP

    Blog / CMS

    • Wordpress 3.9.0 Beta 3 / 3.8.1 / 3.8.0
    • Drupal 7.26
    • Joomla! 3.2.2
    • SPIP kommen

    eCommerce

    • PrestaShop 1.6.0.5

    Forum / Message Board

    • phpBB kommen
    • Phorum Kommen
    (0)
    (0)
    Kommentare - 0
    Keine Kommentare

    Fügen Sie einen Kommentar

    smile smile smile smile smile smile smile smile
    smile smile smile smile smile smile smile smile
    smile smile smile smile smile smile smile smile
    smile smile smile smile
    Zeichen übrig: 3000
    captcha